## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCView

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
                  org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
                      org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
                          org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCView

All Implemented Interfaces:
  ICatalogObject, SQLObject, DerivedTable, Table, ViewTable

    public class JDBCView

extends ViewTableImpl
implements ICatalogObject

Constructor Summary
`JDBCView()`

Method Summary
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`EList` `getColumns()`
`java.sql.Connection` `getConnection()`
`EList` `getIndex()`
`Table` `getSupertable()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl
`eGet, eSet, eUnset, getCheckType, setCheckType, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl
`basicSetQueryExpression, eInverseRemove, getQueryExpression, setQueryExpression`

Methods inherited from class org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl
`basicGetSchema, basicGetSupertable, basicGetUdt, basicSetSchema, basicSetSupertable, eInverseAdd, getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.DerivedTable
`getQueryExpression, setQueryExpression`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.tables.Table
`getSchema, getSelfRefColumnGeneration, getSubtables, getTriggers, getUdt, isInsertable, isUpdatable, setSchema, setSelfRefColumnGeneration, setSupertable, setUdt`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCView

    public JDBCView()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getColumns

    public EList getColumns()

  Description copied from class: `TableImpl`

  Specified by:
    `getColumns` in interface `Table`
  Overrides:
    `getColumns` in class `TableImpl`
  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getIndex

    public EList getIndex()

  Description copied from class: `TableImpl`

  Specified by:
    `getIndex` in interface `Table`
  Overrides:
    `getIndex` in class `TableImpl`
  Returns:
    the value of the 'Index' reference list.
  See Also:
    `SQLTablesPackage.getTable_Index()`, `Index.getTable()`

### getSupertable

    public Table getSupertable()

  Description copied from class: `TableImpl`

  Specified by:
    `getSupertable` in interface `Table`
  Overrides:
    `getSupertable` in class `TableImpl`
  Returns:
    the value of the 'Supertable' reference.
  See Also:
    `Table.setSupertable(Table)`, `SQLTablesPackage.getTable_Supertable()`, `Table.getSubtables()`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Description copied from class: `ViewTableImpl`

  Overrides:
    `eIsSet` in class `ViewTableImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.